Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd
Class ReturnProcessWaitEvent

    java.lang.Object
      org.jprocessunit.WaitEvent
          org.jprocessunit.addon.jpd.ReturnProcessWaitEvent

All Implemented Interfaces:
  ProcessEvent

    public class ReturnProcessWaitEvent

extends WaitEvent

JProcessUnit Wait Event used to wait for an Async JPD's return.

Author:
  Reza Shafii

Constructor Summary
`ReturnProcessWaitEvent(java.lang.String responseName, StartProcessEvent startEvent)`
`ReturnProcessWaitEvent(java.lang.String responseName, java.lang.String instanceId)`

Method Summary
`org.apache.xmlbeans.XmlObject` | `getResponse()`
`org.apache.xmlbeans.XmlObject` | `getResponseContent()`
`boolean` | `waitConditionSatisfied()` Method should be overriden by all subclasses (all specific wait events).

Methods inherited from class org.jprocessunit.WaitEvent
`assertEvent, setPollingInterval, setTimeOutValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReturnProcessWaitEvent

    public ReturnProcessWaitEvent(java.lang.String responseName,
                                  StartProcessEvent startEvent)

Parameters:
  `responseName` - Name of client response node method in JPD to wait for.
  `startEvent` - StartProcessEvent instance used to initiate the JPD for which the response is awaited.

### ReturnProcessWaitEvent

    public ReturnProcessWaitEvent(java.lang.String responseName,
                                  java.lang.String instanceId)

Parameters:
  `responseName` - Name of client response node method in JPD to wait for.
  `instanceId` - Instance ID of process used to initiate the JPD for which the response is awaited.

Method Detail

### getResponse

    public org.apache.xmlbeans.XmlObject getResponse()

  Returns:
    The last response received for the client return node associated with this action.

### getResponseContent

    public org.apache.xmlbeans.XmlObject getResponseContent()

  Returns:
    The content (payload) of last response received for the client return node associated with this action.

### waitConditionSatisfied

    public boolean waitConditionSatisfied()

  Description copied from class: `WaitEvent`
  Method should be overriden by all subclasses (all specific wait events).

  Specified by:
    `waitConditionSatisfied` in class `WaitEvent`
  Returns:
    true if the wait condition was satified and false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API